summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick McLean <patrick.mclean@sony.com>2020-01-29 17:22:55 -0800
committerPatrick McLean <chutzpah@gentoo.org>2020-01-29 17:22:55 -0800
commit2eda804047bb3a9344c72f92d3474384b4572caa (patch)
tree299bc76ce909197d75f8378732219464f8be6c1a
parentdev-lua/lua-openssl: version bump to 0.7.7_p1 (diff)
downloadgentoo-2eda804047bb3a9344c72f92d3474384b4572caa.tar.gz
gentoo-2eda804047bb3a9344c72f92d3474384b4572caa.tar.bz2
gentoo-2eda804047bb3a9344c72f92d3474384b4572caa.zip
dev-python/cliff-2.18.0: Version bump, add py38
Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-2.3.86, Repoman-2.3.20 Signed-off-by: Patrick McLean <chutzpah@gentoo.org>
-rw-r--r--dev-python/cliff/Manifest1
-rw-r--r--dev-python/cliff/cliff-2.18.0.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/cliff/Manifest b/dev-python/cliff/Manifest
index 9904d1a6e77..0518aaa5d1e 100644
--- a/dev-python/cliff/Manifest
+++ b/dev-python/cliff/Manifest
@@ -1 +1,2 @@
DIST cliff-2.12.0.tar.gz 77405 BLAKE2B 70b3865837bdba1396fd76b4937c594dfc9f50db24f684c6676c4ac1125ab34f6cdca29fe63a490d41abd49a268d6246afc873a5805446d06b07cd754aebb727 SHA512 5802cdd17b6aa81dbb344efb8ef53212de999ab33eaec1eb06e1d002ab513758d3634ae5013ece6375b1bb98c9fed99aa74cf92752c34e1132fa5ac20a969f4f
+DIST cliff-2.18.0.tar.gz 77905 BLAKE2B e371c4025fd3bf0543d3f4f038ff891a27f8116d3c833a2ded4e9f619879501868c3acf9e2f1c36023b79da404dcb69f8a8c31fbbbc2847b6c7dfabbd7ad666e SHA512 0748f8f392b11ceaa63f516860f6a339a9bc1233134562b13384bcbaff0b9e84e82a1544658ea3bf9c0fde973c563bfa1e92cc418a2fef0bfdced3f88d93058f
diff --git a/dev-python/cliff/cliff-2.18.0.ebuild b/dev-python/cliff/cliff-2.18.0.ebuild
new file mode 100644
index 00000000000..6cd9718ae7b
--- /dev/null
+++ b/dev-python/cliff/cliff-2.18.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+# entry_points is added via [entry_points] in setup.cfg
+_DISTUTILS_SETUPTOOLS_WARNED=1
+
+VIRTUALX_REQUIRED="test"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Command Line Interface Formulation Framework"
+HOMEPAGE="https://github.com/openstack/cliff"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~mips ~ppc64 ~s390 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+ >=dev-python/stestr-2.1.0[${PYTHON_USEDEP}]
+ )
+"
+# source files stipulate <sphinx-1.3 however build effected perfectly with sphinx-1.3.1
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/cmd2-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.2[${PYTHON_USEDEP}]
+ <dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/unicodecsv-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12.0[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ stestr init || die "stestr init failed under ${EPYTHON}"
+ # needs outside access, so blacklist the test
+ virtx stestr run --black-regex cliff.tests.test_app.TestIO.test_writer_encoding
+}